## python-lz4 0.10.1+dfsg1

=== Makefile ===
.PHONY: build test clean pre-commit
build:
	python$(PY) setup.py build
test:
	python$(PY) setup.py test
clean:
	rm -rf build
	find . '(' -name '*.pyc' -o -name '*.so' ')' -delete
pre-commit:
	$(MAKE) clean && $(MAKE) PY=2 build && $(MAKE) PY=2 test
	$(MAKE) clean && $(MAKE) PY=3 build && $(MAKE) PY=3 test

=== requirements.txt ===
sphinx == 1.4.8

## python-lz4 0.7.0+dfsg

=== debian/changelog ===
python-lz4 (0.7.0+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:16 +0000

python-lz4 (0.7.0+dfsg-3) unstable; urgency=medium

  * New upstream patch to expose version information.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Aug 2015 09:51:59 +1000

python-lz4 (0.7.0+dfsg-2) unstable; urgency=medium

  * New binary package "python3-lz4" (Closes: #790039).
  * rules: conversion to pybuild + parallel build.
  * Build-Depends
    + dh-python
    + python3-all-dev
    + python3-nose
    + python3-setuptools
  * watch:
    + update for pypi.python.org changes.
    + re-order mirrors.
    + repacksuffix=+dfsg.
  * Standards-Version: 3.9.6

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Jun 2015 10:32:03 +1000

python-lz4 (0.7.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #757647).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Aug 2014 17:46:51 +1000

=== debian/control ===
Source: python-lz4
Section: python
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python3-all-dev
              ,liblz4-dev
              ,python-nose
              ,python3-nose
              ,python-setuptools
              ,python3-setuptools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.6
Homepage: http://pypi.python.org/pypi/lz4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-lz4.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-lz4.git

Package: python-lz4
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python interface to the lz4 compression library
 This package provides bindings for the liblz4 compression library.
 .
 LZ4 is a very fast lossless compression algorithm, providing compression
 speed at 400 MB/s per core, scalable with multi-cores CPU. It also
 features an extremely fast decoder, with speed in multiple GB/s per core,
 typically reaching RAM speed limits on multi-core systems.

Package: python3-lz4
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python interface to the lz4 compression library (Python 3)
 This package provides bindings for the liblz4 compression library.
 .
 LZ4 is a very fast lossless compression algorithm, providing compression
 speed at 400 MB/s per core, scalable with multi-cores CPU. It also
 features an extremely fast decoder, with speed in multiple GB/s per core,
 typically reaching RAM speed limits on multi-core systems.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=lz4

%:
	dh $@ --parallel --with python2,python3 --buildsystem=pybuild

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog -SVersion | perl -ne 'print $$1 if m{([\d\.]+)}')
.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:  $(info I: $(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename \
              --destdir=$(CURDIR) --check-dirname-level=0 \
              --force-download --download-version $(VER) $(DPATH) \
              --repack --compression xz

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
 http://pypi.debian.net/lz4/lz4-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
filenamemangle=s{.*/([^/#]+)#md5=[0-9a-f]+}{$1},\
 https://pypi.python.org/simple/lz4/ \
 .*/lz4-(\d[\d\.]+)\.tar\.(?:gz|bz2|xz)(?:#md5=[0-9a-f]+)

## python-lz4 0.8.2+dfsg

=== debian/changelog ===
python-lz4 (0.8.2+dfsg-2) unstable; urgency=medium

  * Vcs-Git URL to HTTPS.
  * Versioned Build-Depends on liblz4-dev (Closes: #831571).
    Thanks, Thomas Goirand.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 06 Aug 2016 16:10:47 +1000

python-lz4 (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.8.
  * Modernised Vcs-Browser URL.
  * Removed obsolete patches.
  * Build with all but "pie" hardening.
  * Build-Depends += "pkg-config".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 May 2016 20:09:35 +1000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python3-all-dev
-              ,liblz4-dev
+              ,liblz4-dev (>= 0.0~r131~)
+              ,pkg-config
               ,python-nose
               ,python3-nose
               ,python-setuptools
               ,python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/lz4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-lz4.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-lz4.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-lz4.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-lz4.git
 
 Package: python-lz4
 Architecture: any

## python-lz4 0.10.1%2Bdfsg1

=== debian/changelog ===
python-lz4 (0.10.1+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for big endian, thanks to James Cowgill (Closes: #881061).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 21:21:11 +0000

python-lz4 (0.10.1+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Added python{3,}-setuptools-scm as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 12:46:13 +0000

## python-lz4 0.10.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
               ,python3-nose
               ,python-setuptools
               ,python3-setuptools
+              ,python-setuptools-scm
+              ,python3-setuptools-scm
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export PYBUILD_NAME=lz4
 
 %:

## python-lz4 1.1.0+dfsg

=== requirements.txt ===
tox
pytest
pytest-runner
setuptools_scm
deprecation
pkgconfig
future

=== debian/changelog ===
python-lz4 (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2018].
  * Builld-Depends:
    - python-nose
    - python3-nose
    + python-pkgconfig
    + python3-pkgconfig
    + python-pytest-runner
    + python3-pytest-runner
  * Vcs URLs to Salsa.
  * Standards-Version: 4.1.5.
  * debhelper & compat to version 11.
  * Testsuite: autopkgtest-pkg-python
  * Uploaders += Debian Python Modules Team.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 22 Jul 2018 22:54:57 +1000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,30 @@
 Source: python-lz4
 Section: python
 Priority: optional
+Standards-Version: 4.1.5
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all-dev, python3-all-dev
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 11~), dh-python, python-all-dev, python3-all-dev
               ,liblz4-dev (>= 0.0~r131~)
               ,pkg-config
-              ,python-nose
-              ,python3-nose
               ,python-setuptools
               ,python3-setuptools
               ,python-setuptools-scm
               ,python3-setuptools-scm
+#    ,python-deprecation
+#    ,python3-deprecation
+#    ,python-future
+#    ,python3-future
+    ,python-pkgconfig
+    ,python3-pkgconfig
+    ,python-pytest-runner
+    ,python3-pytest-runner
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+X-Python3-Version: >= 3.4
 Homepage: http://pypi.python.org/pypi/lz4
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-lz4.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-lz4.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lz4
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-lz4.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-lz4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PYBUILD_NAME=lz4

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-lz4 3.0.2+dfsg

=== debian/changelog ===
python-lz4 (3.0.2+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:45:55 +0100

python-lz4 (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Jan 2020 19:18:48 +1100

python-lz4 (2.2.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Dropped Python2 support (Closes: #937901).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Dec 2019 10:49:12 +1100

python-lz4 (2.1.10+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 30 Aug 2019 12:50:47 +1000

=== debian/control ===
Source: python-lz4
Section: python
Priority: optional
Standards-Version: 4.4.1
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev
    ,liblz4-dev (>= 0.0~r131~)
    ,pkg-config
#   ,python3-deprecation
#   ,python3-future
    ,python3-pkgconfig
    ,python3-pytest-runner
    ,python3-setuptools
    ,python3-setuptools-scm
Homepage: http://pypi.python.org/pypi/lz4
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lz4
Vcs-Git: https://salsa.debian.org/python-team/modules/python-lz4.git
Testsuite: autopkgtest-pkg-python

Package: python3-lz4
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python interface to the lz4 compression library (Python 3)
 This package provides bindings for the liblz4 compression library.
 .
 LZ4 is a very fast lossless compression algorithm, providing compression
 speed at 400 MB/s per core, scalable with multi-cores CPU. It also
 features an extremely fast decoder, with speed in multiple GB/s per core,
 typically reaching RAM speed limits on multi-core systems.
 .
 This package is for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_NAME=lz4
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## python-lz4 3.1.3+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-lz4.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-lz4.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-lz4"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-lz4"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-lz4 (3.1.3+dfsg-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:57:28 +0000

python-lz4 (3.1.3+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Nov 2021 16:50:11 +0100

python-lz4 (3.1.3+dfsg-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 14:38:05 +1100

python-lz4 (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Nov 2020 23:30:25 +1100

python-lz4 (3.1.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Smirnov ]
  * New upstream release
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * Lintian-override for "library-not-linked-against-libc".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 07 Oct 2020 01:50:40 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-lz4
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev
     ,liblz4-dev (>= 0.0~r131~)
     ,pkg-config
@@ -14,9 +14,10 @@
     ,python3-setuptools
     ,python3-setuptools-scm
 Homepage: http://pypi.python.org/pypi/lz4
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-lz4
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-lz4.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lz4
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-lz4.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-lz4
 Architecture: any

## python-lz4 4.0.0+dfsg

=== debian/changelog ===
python-lz4 (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Updated Homepage URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Apr 2022 19:25:11 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-lz4
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev
@@ -13,7 +13,7 @@
     ,python3-pytest-runner
     ,python3-setuptools
     ,python3-setuptools-scm
-Homepage: http://pypi.python.org/pypi/lz4
+Homepage: https://github.com/python-lz4/python-lz4
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lz4
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lz4.git
 Testsuite: autopkgtest-pkg-python

## python-lz4 4.0.2+dfsg

=== debian/changelog ===
python-lz4 (4.0.2+dfsg-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:57 +0000

python-lz4 (4.0.2+dfsg-1build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:14:55 +0100

python-lz4 (4.0.2+dfsg-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:45:25 +0000

python-lz4 (4.0.2+dfsg-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:37:01 -0500

python-lz4 (4.0.2+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Build-Depends: Drop versioned constraint on liblz4-dev.

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 Sep 2022 16:23:22 +1000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Standards-Version: 4.6.0
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev
-    ,liblz4-dev (>= 0.0~r131~)
+    ,liblz4-dev
     ,pkg-config
 #   ,python3-deprecation
 #   ,python3-future

## python-lz4 4.4.0+dfsg

=== debian/changelog ===
python-lz4 (4.4.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Mark pytest to be test-only

  [ Alexandre Detiste ]
  * remove old obsolete comments

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 07:43:01 +0100

python-lz4 (4.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * New upstream version 4.4.0+dfsg
  * Swap Maintainer <-> Uploaders per new Team Policy
  * Update lintian override for new format

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Andreas Tille ]
  * Fix watch file (by pointing to Github)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Dec 2024 15:57:03 +0100

=== debian/control ===
Source: python-lz4
Section: python
Priority: optional
Standards-Version: 4.6.1
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev,
 liblz4-dev,
 pkgconf,
 python3-pkgconfig,
 python3-pytest-runner <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Homepage: https://github.com/python-lz4/python-lz4
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lz4
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lz4.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-lz4
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python interface to the lz4 compression library (Python 3)
 This package provides bindings for the liblz4 compression library.
 .
 LZ4 is a very fast lossless compression algorithm, providing compression
 speed at 400 MB/s per core, scalable with multi-cores CPU. It also
 features an extremely fast decoder, with speed in multiple GB/s per core,
 typically reaching RAM speed limits on multi-core systems.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_NAME=lz4
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## python-lz4 4.4.4+dfsg

=== docs/requirements.txt ===
sphinx >= 1.6.0
sphinx_bootstrap_theme

=== debian/changelog ===
python-lz4 (4.4.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Reupload due to operator error in driving "git debpush".

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 12:34:10 +0100

python-lz4 (4.4.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Correct the import of _compression for Python 3.14 (closes: #1117907).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 12:27:46 +0100

python-lz4 (4.4.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Fix running (most) tests at build time.
  * Switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 17:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-lz4
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends:
@@ -10,14 +10,16 @@
  python3-all-dev,
  liblz4-dev,
  pkgconf,
+ pybuild-plugin-pyproject,
  python3-pkgconfig,
- python3-pytest-runner <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
 Homepage: https://github.com/python-lz4/python-lz4
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lz4
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lz4.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-lz4

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 export PYBUILD_NAME=lz4
+# The stream bindings are considered experimental by upstream and not built
+# as part of the Debian package.
+export PYBUILD_TEST_ARGS = --ignore tests/stream
+# This test is unreasonably slow.
+PYBUILD_TEST_ARGS += -k 'not test_frame_5'
+export PYBUILD_AFTER_TEST = rm -f {build_dir}/testfile*
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=auto" \
   https://github.com/python-lz4/python-lz4/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-lz4 4.4.5+dfsg

=== debian/changelog ===
python-lz4 (4.4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Dec 2025 13:42:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lz4
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lz4.git
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-lz4
 Architecture: any
